#ifndef _WINBINDD_PROTO_H_
#define _WINBINDD_PROTO_H_
/* This file is automatically generated with "make proto". DO NOT EDIT */


/*The following definitions come from  nsswitch/winbindd.c  */

int winbind_get_domain_sid(char *system_name, fstring domain_name,
                          DOM_SID *domain_sid);
int winbind_lookup_by_name(char *system_name, DOM_SID *level5_sid,
                           fstring name, DOM_SID *sid,
                           enum SID_NAME_USE *type);
int winbind_lookup_by_sid(char *system_name, DOM_SID *level5_sid,
                          DOM_SID *sid, char *name,
                          enum SID_NAME_USE *type);
int winbind_lookup_userinfo(char *system_name, DOM_SID *level5_sid,
                            uint32 user_rid, SAM_USERINFO_CTR *user_info);
int winbind_lookup_groupinfo(char *system_name, DOM_SID *level5_sid,
                             uint32 group_rid, GROUP_INFO_CTR *info);
int winbind_lookup_groupmem(char *system_name, DOM_SID *level5_sid,
                            uint32 group_rid, uint32 *num_names,
                            uint32 **rid_mem, char ***names,
                            uint32 **name_types);
int winbind_lookup_aliasmem(char *system_name, DOM_SID *level5_sid,
                            uint32 group_rid, uint32 *num_names,
                            DOM_SID ***sids, char ***names,
                            uint32 **name_types);
int winbind_lookup_aliasinfo(char *system_name, DOM_SID *level5_sid,
                             uint32 group_rid, ALIAS_INFO_CTR *info);
int main(int argc, char **argv);

/*The following definitions come from  nsswitch/winbindd_group.c  */

void winbindd_getgrnam_from_group(DOM_SID *domain_sid, char *domain_name,
                                  struct winbindd_request *request,
                                  struct winbindd_response *response);
void winbindd_getgrnam_from_gid(DOM_SID *domain_sid, char *domain_name,
                                struct winbindd_request *request,
                                struct winbindd_response *response);
void winbindd_setgrent(DOM_SID *domain_sid,
                       struct winbindd_request *request,
                       struct winbindd_response *response);
void winbindd_endgrent(struct winbindd_request *request,
                       struct winbindd_response *response);
void winbindd_getgrent(DOM_SID *domain_sid, char *domain_name,
                       struct winbindd_request *request,
                       struct winbindd_response *response);

/*The following definitions come from  nsswitch/winbindd_sock.c  */

int connect_sock(void);
int create_sock(void);
int write_sock(int sock, void *buffer, int count);
int read_sock(int sock, void *buffer, int count);
void remove_sock(void);

/*The following definitions come from  nsswitch/winbindd_surs.c  */

int winbindd_surs_init(DOM_SID *domain_sid, char *domain_name);
BOOL winbindd_surs_sam_sid_to_unixid(DOM_SID *sid, char *name, uint32 type, 
                                     uint32 *id);
BOOL winbindd_surs_unixid_to_sam_sid(uint32 id, uint32 type, DOM_SID *sid,
                                     BOOL create);

/*The following definitions come from  nsswitch/winbindd_user.c  */

void winbindd_getpwnam_from_user(DOM_SID *domain_sid, char *domain_name,
                                 struct winbindd_request *request,
                                 struct winbindd_response *response);
void winbindd_getpwnam_from_uid(DOM_SID *domain_sid,
                                struct winbindd_request *request,
                                struct winbindd_response *response);
void winbindd_setpwent(DOM_SID *domain_sid,
                       struct winbindd_request *request,
                       struct winbindd_response *response);
void winbindd_endpwent(struct winbindd_request *request,
                       struct winbindd_response *response);
void winbindd_getpwent(DOM_SID *domain_sid, char *domain_name,
                       struct winbindd_request *request,
                       struct winbindd_response *response);
#endif /* _WINBINDD_PROTO_H_ */
